unit winser;

{$mode objfpc}{$H+}

interface
uses
  Classes, SysUtils;

Function SerCon(dev: String): Boolean;
Function SerSend(anz:Integer):Integer;
Function SerRec(anz: Integer):Integer;
Procedure SerDisc;

var connected: Boolean;
    Sends, Recs, Stage1:String[80];


implementation
uses ser_comm;

Function SerCon(dev: String): Boolean;
var s:string; i, j: Integer;
Begin s := dev; SerCon := False; connected := False;
  If pos('COM', s) = 1 Then delete(s,1,3);
  val(s,i,j);
  IF j = 0 Then Begin
    j := Ser_oeffne(i, 38400, 8, 0, 0);
    If j = 0 Then Begin
      j := ser_setto(0, 1, 1, 1, 1);
      If j = 0 Then Begin
        Connected := True;
        SerCon := True;
      end;
    end;
  end;
End;

Function SerSend(anz:Integer):Integer;
var s:String; i: Integer;
Begin s := '';
  For i := 1 To anz Do
    s := s + Sends[i];
  SerSend := Ser_Sends(s);
End;

Function SerRec(anz: Integer):Integer;
var i,j: Integer;
Begin j := Ser_gets(anz);
  Recs := '';
  For i := 1 To j Do
    Recs := Recs + Ser_Dein[i-1];
  SerRec := j;
End;

Procedure SerDisc;
var i: Integer;
Begin i := ser_beende;
  connected := False;
End;

initialization
connected := False;
stage1 := chr(230) + chr(240) + chr(96) + chr(250) + chr(126) + chr(183) + chr(154) + chr(183);
   stage1 := stage1 + chr(254) + chr(112) + chr(126) + chr(183) + chr(242) + chr(241) + chr(178) + chr(254);
   stage1 := stage1 + chr(185) + chr(32) + chr(8) + chr(1) + chr(241) + chr(84) + chr(241) + chr(66);
   stage1 := stage1 + chr(70) + chr(242) + chr(183) + chr(183) + chr(61) + chr(244) + chr(13) + chr(0);

end.

