unit linser;

{$mode objfpc}{$H+}

interface
uses
  Classes, SysUtils;

Function SerCon(dev: String): Boolean;
Function SerSend(anz:Integer):Integer;
Function SerRec(anz: Integer):Integer;
Procedure SerDisc;

var connected: Boolean;
    MyHandle: LongInt;
    Sends, Recs, Stage1:String[80];


implementation
uses serial;

Function SerCon(dev: String): Boolean;
Begin SerCon := False; MyHandle := SerOpen(dev);
  IF Myhandle > 0 Then begin
    SerCon := True; SerFlush(MyHandle);
    SerSetParams(MyHandle, 38400, 8, NoneParity, 1, []);
    Connected := True;
  end;
End;

Function SerSend(anz:Integer):Integer;
Begin
  SerSend := SerWrite(MyHandle, Sends[1], anz);
End;

Function SerRec(anz: Integer):Integer;
Begin SerRec := SerRead(MyHandle, Recs[1], anz);
End;

Procedure SerDisc;
Begin SerClose(MyHandle); MyHandle := 0;
  connected := False;
End;

initialization
connected := False; MyHandle := 0;
stage1 := chr(230) + chr(240) + chr(96) + chr(250) + chr(126) + chr(183) + chr(154) + chr(183);
   stage1 := stage1 + chr(254) + chr(112) + chr(126) + chr(183) + chr(242) + chr(241) + chr(178) + chr(254);
   stage1 := stage1 + chr(185) + chr(32) + chr(8) + chr(1) + chr(241) + chr(84) + chr(241) + chr(66);
   stage1 := stage1 + chr(70) + chr(242) + chr(183) + chr(183) + chr(61) + chr(244) + chr(13) + chr(0);

end.

