unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  ComCtrls, Grids, Buttons, StdCtrls, ExtCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    FillRegMem: TButton;
    Label6: TLabel;
    ShowLine: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Label4: TLabel;
    Label5: TLabel;
    LoadRegs: TButton;
    ComboBox1: TComboBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Memo1: TMemo;
    OpenDialog1: TOpenDialog;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    SpeedButton5: TSpeedButton;
    SpeedButton6: TSpeedButton;
    SpeedButton7: TSpeedButton;
    StatusBar1: TStatusBar;
    StringGrid1: TStringGrid;
    StringGrid2: TStringGrid;
    TabControl1: TTabControl;
    Timer1: TTimer;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ToolButton4: TToolButton;
    procedure Edit1Change(Sender: TObject);
    procedure FillRegMemClick(Sender: TObject);
    procedure LoadRegsClick(Sender: TObject);
    procedure ShowLineClick(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure SpeedButton4Click(Sender: TObject);
    procedure SpeedButton5Click(Sender: TObject);
    procedure SpeedButton6Click(Sender: TObject);
    procedure SpeedButton7Click(Sender: TObject);
    procedure StringGrid1DblClick(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure TabControl1Change(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form1: TForm1;



implementation
{$IFDEF UNIX}
uses linser;
const separator = chr(ord('/'));
{$ENDIF}
{$IFDEF WINDOWS}
uses winser;
const separator = chr(ord('\'));
{$ENDIF}


var GetRegs, GetMem, Stepping, gotval: Boolean;
    Start_str, Start_adr, Akt_adr: String;
    memadr: Array[1..4] Of LongInt;
    breaks: Array[1..20, 1..2] Of LongInt;
    lastbreak: Integer;  stepbreak: LongInt;

Function str2long(s:string):LongInt;
var ts:string; c:integer; n: LongInt;
Begin ts := s; n := 0;
  While length(ts) > 0 Do Begin
    c := ord(ts[1]); delete(ts,1,1);
    If c > 70 Then c := c - 32;
    If c In [48..57, 65..70] Then Begin
      If c > 64 Then c := c - 55 Else c := c - 48;
      n := (n * 16) +  c;
    End;
  end;
  str2long := n;
end;

Function long2str(n:LongInt):String;
var ts:string; i:Integer; ln:Longint;
Begin ts := ''; ln := n;
  While ln > 0 Do Begin
    i := ln Mod 16; ln := ln Div 16;
    if i > 9 Then i := i + 55
    Else i := i + 48;
    ts := chr(i) + ts;
  end;
  long2str := ts;
end;

Function Hex(b:byte):String;
var n:Integer;
BEGIN
  n := ord(b) DIV 16;
  IF n <= 9 THEN n := n +48
  ELSE n := n + 55;
  Hex:= chr(n);
  n := ord(b) MOD 16;
  IF n <= 9 THEN n := n +48
  ELSE n := n + 55;
  Hex := Hex + chr(n);
END;
{ TForm1 }

{ Open }
procedure TForm1.SpeedButton1Click(Sender: TObject);
var t: TextFile; s1, s2: String; i, j:Integer;
begin  if OpenDialog1.Execute Then begin
         AssignFile(t, OpenDialog1.FileName); reset(t); i := 1;
         Start_str := ''; Start_adr := '';
         While not eof(t) DO Begin
           readln(t,s1);
           if StringGrid1.RowCount < (i + 1)  THEN
              StringGrid1.RowCount := StringGrid1.RowCount + 1;
           StringGrid1.Cells[2,i]:= s1;
           i := i + 1;
         END;
         closeFile(t);
         StringGrid1.RowCount := StringGrid1.RowCount + 1;
         while i < (StringGrid1.RowCount - 1) DO Begin
             StringGrid1.Cells[2,i] := '';
             i := i + 1;
         End;
         For i := 1 to (StringGrid1.RowCount - 1) DO begin
             StringGrid1.Cells[1,i] := '';
             StringGrid1.Cells[0,i] := '';
         end;
         s1 := OpenDialog1.FileName; i := pos('.mod', s1);
         if i <> 0 then delete(s1,i,4);
         StringGrid1.Cells[2,0] := s1;
         s1 := s1 +'.lst';
         If FileExists(s1) Then Begin
             AssignFile(t, s1); reset(t); i := 1; s1 := '';
             While (not eof(t)) AND (pos('Symboltabelle', s1) =0) DO Begin
               readln(t,s1);
               if pos(';@ ', s1) <> 0 then begin
                 IF pos('#MainStart:', s1) <> 0 then begin
                    delete(s1,1, pos('#MainStart:', s1) + 10);
                    StatusBar1.Panels[0].Text:='Startaddress: ' + s1;
                    start_str := s1;
                 end
                 ELSE Begin
                   s2 := ''; i := pos(separator,s1);  delete(s1,1,i);
                   i := pos(':',s1); s2 := copy(s1,1, i-2); { Adresse in s2 }
                   while length(s2) > 5 do delete(s2,1,1);
                   i := pos(';@ ',s1); delete(s1,1,i+2);
                   val(s1,i,j);
                   If j = 0 then Stringgrid1.Cells[1,i] := s2;
                 end;
               end
               ELSE if (start_str <> '') And (pos(start_str + ':', s1) <> 0) then begin
                   s2 := ''; i := pos(separator,s1);  delete(s1,1,i);
                   i := pos(':',s1); s2 := copy(s1,1, i-2); { Adresse in s2 }
                   while length(s2) > 5 do delete(s2,1,1);
                   Start_adr := s2; Edit2.Text:= s2;
                   StatusBar1.Panels[0].Text := StatusBar1.Panels[0].Text + ' ' + s2;
               end
             end;
             closefile(t);  i := 1; s2 := Start_adr;
             While (i < StringGrid1.RowCount) AND (s2 <> StringGrid1.Cells[1,i]) Do
                     i := i + 1;
             If i < StringGrid1.RowCount Then
                StringGrid1.Row := i;
             SpeedButton6.Enabled:=True;
             For i := 1 To 20 Do breaks[i,1] := 0;
             {$IFDEF WINDOWS} ComboBox1.Text:='COM1'; {$ENDIF}
         end
         Else showmessage(s1 + ' not found!');
       end;
end;

{ jump to actual address }
procedure TForm1.ShowLineClick(Sender: TObject);
var i:Integer; n,m: LongInt;
begin i := 1; n:=0; m:= Str2Long(Edit2.Text);
  While (i < StringGrid1.RowCount-1) And (n < m) DO Begin
    n := Str2Long(StringGrid1.Cells[1,i]);
    i := i + 1;
  end;
  StringGrid1.Row:=i - 1;
end;

{ write rec. data in Rges or Mem }
procedure TForm1.FillRegMemClick(Sender: TObject);
var i,j:Integer; s: String; l: LongInt;
begin
  If GetMem Then Begin { fill regs }
    For i := 0 To 15 Do Begin
      s := Hex(ord(Recs[(2 * i) + 1])) + Hex(ord(Recs[(2 * i) + 2]));
      If i < 8 Then StringGrid2.Cells[0,i + 1] := s
      Else StringGrid2.Cells[1,i - 7] := s;
    end;
  end
  Else Begin
    l := Str2Long(Edit1.Text);
    For i := 0 To 3 Do Begin
      s := Long2Str(l) + ':';
      While length(s) < 7 Do s := '0' + s;
      For j := 1 To 4 Do Begin
        s := s + ' ' + hex(ord(Recs[(8 * i) + (2 * j)]));
        s := s + ' ' + hex(ord(Recs[(8 * i) + (2 * j) - 1]));
      end;
      Memo1.Lines[i] := s;
      l := l + 8;
    end;
  end;
end;

procedure TForm1.Edit1Change(Sender: TObject);
var i: Integer;
begin i :=  TabControl1.TabIndex + 1;
  memadr[i] := Str2Long(Edit1.Text)
end;

procedure TForm1.LoadRegsClick(Sender: TObject);
var n:Integer;
begin
  GetRegs := True;
  Sends[1] := 'V'; Sends[2] := 'R'; n := SerSend(2);
  SpeedButton5.Enabled:=True;
  SpeedButton4.Enabled:=False;
  SpeedButton3.Enabled:=True;
  SpeedButton2.Enabled:=True;
  LoadRegs.Enabled:=True;
  StringGrid1.Enabled:=True;
end;

{ start application}
procedure TForm1.SpeedButton2Click(Sender: TObject);
var n: Integer;
begin showlineclick(self);
  Sends[1] := 'S'; n := SerSend(1);
  SpeedButton2.Enabled:=False;
  SpeedButton3.Enabled:=False;
  SpeedButton4.Enabled:=True;
  SpeedButton5.Enabled:=False;
  LoadRegs.Enabled:=False;
  StringGrid1.Enabled:=False;
end;

{ stop application }
procedure TForm1.SpeedButton4Click(Sender: TObject);
var n: Integer;
begin Sends[1] := chr(27); n := SerSend(1);

end;

procedure TForm1.SpeedButton5Click(Sender: TObject);
var i: Integer;
begin
  Sends[1] := 'R'; i := SerSend(1);
end;

{ Connect to Target }
procedure TForm1.SpeedButton6Click(Sender: TObject);
var s1, s2, ss: String; i, n, m, z:integer;  ok: Boolean; f,df:TextFile;
     c: char;
     fb:File Of byte; b:byte;
begin
  If SpeedButton6.Hint= 'connect to target' Then Begin
    s2 := StringGrid1.Cells[2,0]; s1 := '';
    i := pos(separator, s2);
    While i <> 0 do Begin
      s1 := s1 + copy(s2, 1, i); delete(s2, 1, i);
      i := pos( separator, s2);
    end; { s1 ist der Pfad des geladenen Programms }
    s1 := s1 + 'stage2.bin';
    s2 := StringGrid1.Cells[2,0] + '.hex';
    If FileExists(s1) Then
      IF FileExists(s2) Then Begin
        ShowMessage('Reset Target to activate the bootstraploader!');
        ss := ComboBox1.Text; ok := SerCon(ss);
        If not ok Then Begin
           ShowMessage('Can not open: ' + ss); exit; end;
        SpeedButton6.Hint:='disconnect target';
        StringGrid1.Enabled:=True; StatusBar1.Panels[2].Text:='connected';
        Sends := chr(0); i := SerSend(1); Sleep(10);
        If i <> 1 Then Exit;
        StatusBar1.Panels[2].Text:= 'CPU: ';
        i := SerRec(1);
        If i <> 1 Then Exit;
        StatusBar1.Panels[2].Text:= StatusBar1.Panels[2].Text + Hex(ord(Recs[1]));
        Sends := stage1;
        i := SerSend(32);
        IF i <> 32 Then exit;
        StatusBar1.Panels[2].Text:= StatusBar1.Panels[2].Text + '. 1';
        AssignFile(fb, s1); Reset(fb); z := 0;
        REPEAT
          n := 1;
          Sends := '';
          WHILE (NOT EOF(fb)) AND (n < 81) DO Begin
            read(fb, b); Sends:= Sends + chr(b); n := n + 1;
          End;
          m := SerSend(n-1); z:= z+m;
          IF m <> (n-1) Then
            Exit;
        until EOF(fb);
        CloseFile(fb);
        StatusBar1.Panels[2].Text:= StatusBar1.Panels[2].Text + ', 2 ';
        Sleep(200);
        i := SerRec(1);
        If i = 1 Then
          StatusBar1.Panels[2].Text:=
            StatusBar1.Panels[2].Text + '(' + Hex(ord(Recs[1]))+ ')' ;
        AssignFile(f, s2); Reset(f);
        WHILE NOT eof(f) DO BEGIN
          readln(f, Sends);
          m := SerSend(length(Sends));
          IF m <> length(Sends) THEN  exit;
        end;
        StatusBar1.Panels[2].Text:=
            StatusBar1.Panels[2].Text + ', A';
        CloseFile(f);
        Timer1.Enabled:=True;
        SpeedButton2.Enabled:=True; SpeedButton3.Enabled:=True;
        GetRegs := False; GetMem := False;
        { alle Breakpoints löschen: }
        For i := 1 To StringGrid1.RowCount - 1 Do
          StringGrid1.Cells[0,i] := '';
        For i := 1 To 20 Do
          breaks[i,1] := 0;
        Stepping := False; StepBreak := 0; LastBreak := 0;
      End
      Else showmessage('File not found: ' + s2)
    Else showmessage('File not found: ' + s1);
  end
  Else begin
    Timer1.Enabled:=False;
    SerDisc; SpeedButton6.Hint:='connect to target';
    StringGrid1.Enabled:=False; StatusBar1.Panels[2].Text:='not connected';
    SpeedButton2.Enabled:=False; SpeedButton3.Enabled:=False;
    SpeedButton4.Enabled:=False; SpeedButton5.Enabled:=False;
  end;
end;

{ Exit }
procedure TForm1.SpeedButton7Click(Sender: TObject);
begin If connected Then SerDisc;
  application.Terminate;;
end;

{ set/clear breakpoint }
procedure TForm1.StringGrid1DblClick(Sender: TObject);
var i :integer; l,v: LongInt;
begin i := StringGrid1.Row;
  l := Str2Long(StringGrid1.Cells[1,i]); i := 1;
   While (i <= 20) And (breaks[i,1] <> l) Do
     i := i + 1;
   If i > 20 Then Begin { new breakpoint }
     i := 1;
     While (i <= 20) And (breaks[i,1] <> 0) Do
       i := i + 1;
     If i > 20 Then showmessage('too many breakpoints!')
     Else Begin
       breaks[i,1] := l;
       i := StringGrid1.Row;
       StringGrid1.Cells[0,i] := 'B';
       For i := 1 to 3 Do Begin
         Sends[5 - i] := chr(l mod 256);
         l := l div 256;
       end;
       Sends[1] := 'B'; i := SerSend(4);
       StatusBar1.Panels[1].Text:='S';
       If i < 4 Then showmessage('Problem beim breakpoint');
     end;
   end
   Else Begin { remove breakpoint }
     i := 1;
     While (i <= 20) And (breaks[i,1] <> l) Do
       i := i + 1;
     If i > 20 Then showmessage('breakpoint not found!')
     Else Begin
       breaks[i,1] := 0; v := breaks[i,2];
       For i := 1 to 3 Do Begin
         Sends[5 - i] := chr(l mod 256);
         l := l div 256;
       end;
       Sends[1] := 'E';
       For i := 1 To 2 Do Begin
         Sends[7 - i] := chr(v mod 256);
         v := v div 256;
       end;
       i := SerSend(6);
       StatusBar1.Panels[1].Text:='D';
       i := StringGrid1.Row;
       l := Str2Long(StringGrid1.Cells[1,i]); i := 1;
       While (i < StringGrid1.RowCount-1) Do Begin
         If (StringGrid1.Cells[0,i] = 'B') And (Str2Long(StringGrid1.Cells[1,i]) = l)
         Then StringGrid1.Cells[0,i] := '';
         i := i + 1;
       end;
     end;
   end;
end;

{ single stepping }
procedure TForm1.SpeedButton3Click(Sender: TObject);
var i,n, l, w: Integer; l1: LongInt;
begin  showlineclick(self);
  If Stepping Then Begin
    Stepping := False; n := StringGrid1.Row;
    If StepBreak <> 0 Then Begin
      i := 1;
      While Str2Long(StringGrid1.Cells[1,i]) < StepBreak Do
        i := i + 1;
      StringGrid1.Row:=i;
      StringGrid1DblClick(self);
      StringGrid1.Row:=n; StepBreak := 0;
    end;
    If lastbreak <> 0 Then Begin { reset breakpoint }
      StringGrid1.Row:=LastBreak;
      l1 := Str2Long(StringGrid1.Cells[1,LastBreak]); i := 1;
      While (i <= 20) And (breaks[i,1] <> l1) Do
        i := i + 1;
      If i < 21 Then showmessage('breakpoint not deleted!');
      StringGrid1DblClick(self); gotval := false; w := 0;
      Repeat
        Application.ProcessMessages;
        sleep(49); w := w + 1;
      until gotval or (w>5);
      If Not gotval Then showmessage('Kein Wert 1!');
      StringGrid1.Row:=n; lastbreak := 0;
    end;
  end
  Else Begin
    Stepping := True; n := StringGrid1.Row;
    l1 := Str2Long(StringGrid1.Cells[1,n]); i := 1;
    While (i <= 20) And (breaks[i,1] <> l1) Do
      i := i + 1;
    If i < 21 Then Begin { delete breakpoint }
      While StringGrid1.Cells[0,n] <> 'B' Do
        n := n + 1;
      LastBreak := n;
      StringGrid1DblClick(self);
    End
    Else LastBreak := 0;
    i := n;
    While (i < StringGrid1.RowCount - 1) And (Str2Long(StringGrid1.Cells[1,i]) <= l1) Do
        i := i + 1;
    If i < StringGrid1.RowCount-1 Then Begin
      StringGrid1.Row:=i;
      l1 := Str2Long(StringGrid1.Cells[1,i]);
      l := i; i := 1;
      While (i <= 20) And (breaks[i,1] <> l1) Do
        i := i + 1;
      If i > 20 Then Begin
        StepBreak := l1;
      end
      Else StepBreak := 0;
      gotval := false; w := 0;
      StringGrid1DblClick(self);  { set breakpoint }
      Repeat
        Application.ProcessMessages;
        sleep(49); w := w +1;
      until gotval or (w>5);
      If Not gotval Then showmessage('Kein Wert 2!');
    end;
    StringGrid1.Row:=n;

    SpeedButton2Click(self); { restart application }
  end;
end;

procedure TForm1.TabControl1Change(Sender: TObject);
begin
  Edit1.Text:=Long2Str(memadr[TabControl1.TabIndex+1]);
  While length(Edit1.Text) < 6 Do Edit1.Text:='0'+Edit1.Text;
  If LoadRegs.Enabled Then LoadRegsClick(self);
end;

{ Timer }
procedure TForm1.Timer1Timer(Sender: TObject);
var i,n: Integer; s: String[80]; l1:LongInt; ans:String;
begin  Timer1.Enabled:=False;
  If GetRegs Or GetMem Then begin
     s := ''; n := SerRec(32);
     if n = 0 Then Begin
       Timer1.Enabled:= True; Exit; End;
     If n < 32 Then Begin
       ShowMessage('Weniger als 32 Bytes');
     end
     Else Begin
       IF GetRegs Then Begin { Regs angekommen }
         GetRegs := False; GetMem := True;
         FillRegMemClick(self); l1 := Str2Long(Edit1.Text);
         sleep(50);
         Sends[1] := 'V'; Sends[2] := 'M';
         For i := 1 To 3 Do begin
           n := l1 Mod 256; l1 := l1 Div 256;
           Sends[6 - i] := chr(n);
         end;
         n := SerSend(5);
       end
       Else Begin { Mem angekommen }
         GetMem := False;
         FillRegMemClick(self);
       end;
     end;
  end
  Else Begin
    s := ''; i := SerRec(4);
    if i = 0 Then Begin
      Timer1.Enabled:= True; Exit; End;
    If i < 4 then Begin
      showmessage('weniger als 4 Zeichen');
       n := i;
       For i := 1 To n Do s := s + recs[i];
       Sleep(50);
       i := SerRec(4 - n);
       if i < (4 - n) Then Begin
          showmessage('Problem'); Timer1.Enabled:= True; Exit
       end
       Else Begin
         n := i;
         For i := 1 To n Do s := s + recs[i];
       end;
    end
    Else for i := 1 To 4 Do s := s + Recs[i];
    Case ord(s[1]) Of
      82: Begin { R: Reset, sende Startadresse}
        l1 := str2long(Start_adr); Edit2.Text:=Start_adr;
        For i := 1 To 3 Do Begin
          n := l1 Mod 256; Sends[5 - i] := char(n);
          l1 := l1 Div 256;
        end;
        Sends[1] := 'A';
        n := SerSend(4);
        Label6.Caption:='R';
      end;
      78: Begin { N: NMI }
        l1 := 0;
        For i := 1 To 3 Do Begin
          l1 := l1 * 256; l1 := l1 + ord(Recs[i + 1]);
        end;
        Edit2.Text:=long2str(l1); ShowLineClick(self);
        LoadRegsClick(self);
        Label6.Caption:='N';
      end;
      83: Begin { S: ser. break }
        l1 := 0;
        For i := 1 To 3 Do Begin
          l1 := l1 * 256; l1 := l1 + ord(Recs[i + 1]);
        end;
        Edit2.Text:=long2str(l1); ShowLineClick(self);
        LoadRegsClick(self); Label6.Caption:='S';
      end;
      73: Begin { I: breakpoint }
        l1 := 0;
        For i := 1 To 3 Do Begin
          l1 := l1 * 256; l1 := l1 + ord(Recs[i + 1]);
        end;
        Edit2.Text:=long2str(l1); ShowLineClick(self);
         Label6.Caption:='B';
        If Stepping Then Begin
          Timer1.Enabled:=True;
          SpeedButton3Click(self);
        end;
        LoadRegsClick(self);
      end;
      66: Begin { B: code at new breakpoint}
        Label6.Caption:='V';
        l1 := Str2Long(StringGrid1.Cells[1,StringGrid1.Row]);
        n := 1;
        While (n <= 20) And (breaks[n,1] <> l1) Do
          n := n + 1;
        If n > 20 Then showmessage('no breakpoint!')
        Else Begin
          l1 := (ord(recs[3]) * 256) + ord(Recs[4]);
          breaks[n,2] := l1;  gotval := true;
        end;
      end
      Else showmessage('Got: ' + s[1] + s[2] +s[3]);
    end;
  end;
  sleep(50);
  Timer1.Enabled:=True;
end;

initialization
  {$I unit1.lrs}
  memadr[1] := $E000; memadr[2] := $E7E0;
  memadr[3] := $FDE0; memadr[4] := $0330;

end.

